WordPress.org

Make WordPress Core

Ticket #15101: 15101.diff

File 15101.diff, 1.7 KB (added by dd32, 21 months ago)
  • src/wp-admin/update-core.php

     
    5757                        elseif ( !$mysql_compat ) 
    5858                                $message = sprintf( __('You cannot update because <a href="http://codex.wordpress.org/Version_%1$s">WordPress %1$s</a> requires MySQL version %2$s or higher. You are running version %3$s.'), $update->current, $update->mysql_version, $mysql_version ); 
    5959                        else 
    60                                 $message =      sprintf(__('You can update to <a href="http://codex.wordpress.org/Version_%1$s">WordPress %2$s</a> automatically or download the package and install it manually:'), $update->current, $version_string); 
     60                                $message = sprintf(__('You are currently running WordPress %1$s. You can update to <a href="http://codex.wordpress.org/Version_%2$s">WordPress %3$s</a> automatically or download the package and install it manually:'), get_bloginfo( 'version', 'display' ), $update->current, $version_string); 
    6161                        if ( !$mysql_compat || !$php_compat ) 
    6262                                $show_buttons = false; 
    6363                } 
  • src/wp-admin/includes/update.php

     
    104104        break; 
    105105 
    106106        case 'upgrade' : 
    107                 return sprintf( '<strong>'.__( '<a href="%1$s">Get Version %2$s</a>' ).'</strong>', network_admin_url( 'update-core.php' ), $cur->current); 
     107                return sprintf( __( 'Version %1$s <a href="%2$s"><strong>Get Version %3$s now!</strong></a>' ), get_bloginfo( 'version', 'display' ), network_admin_url( 'update-core.php' ), $cur->current ); 
    108108        break; 
    109109 
    110110        case 'latest' :